# Use rpmbuild --without tzip to disable tzip support (enabled by default)
%{!?_with_tzip:		%{!?_without_tzip: %define _with_tzip --with-tzip}}
%{?_with_tzip:		%define enable_tzip 1}
%{?_without_tzip:	%define enable_tzip 0}

%define __distdep %(/bin/rpm -qf /etc/redhat-release | %{__sed} 's/-[^-]*$//' | %{_bindir}/head -1)
%define __distpkg %(echo %{__distdep} | %{__sed} 's/-[^-]*$//')
%define __distvers %(echo %{__distdep} | %{__sed} 's/.*-//' | %{_bindir}/tr -d '[:alpha:]')
%define __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' /etc/redhat-release | %{_bindir}/tr -d '[:space:]' | %{_bindir}/cut -c 1-4 | %{_bindir}/tr '[:upper:]' '[:lower:]')
%define __perl_version %(eval "`%{__perl} -V:version`"; echo $version)
%define __perl_package Mail-Mbox-MessageParser
%{!?__id_u: %define __id_u /bin/id -u}
                                                                                                                 
Summary:	%{__perl_package} module for perl 
Name:		perl-%{__perl_package}
Version:	1.3000
Release:	1.%{__distinit}%{__distvers}
License:	GPL
Group:		Applications/CPAN
Source0:	%{__perl_package}-%{version}.tar.gz
Url:		http://sourceforge.net/projects/m-m-msgparser/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	diffutils
Requires:	%{__distpkg} >= %{__distvers}, perl >= %{__perl_version}
Requires:	grep, gzip, bzip2, perl-FileHandle-Unget
BuildRequires:	grep, gzip, bzip2, perl-FileHandle-Unget
# Add tzip requirements if selected
%if %{enable_tzip}
BuildRequires:	tzip
Requires:	tzip
%define __tzip %{_bindir}/tzip
%else
%define __tzip %{nil}
%endif

%description
Mail::Mbox::MessageParser is a feature-poor but very fast mbox parser. It uses
the best of three strategies for parsing a mailbox: either using cached folder
information, GNU grep, or highly optimized Perl.

%prep
%setup -q -n %{__perl_package}-%{version}
%{__grep} -v Benchmark::Timer Makefile.PL > Makefile.RPM
%{__mv} Makefile.PL Makefile.PL.orig
%{__mv} Makefile.RPM Makefile.PL

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor \
	PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	GREP=%{__grep} \
	TZIP=%{__tzip} \
	GZIP=%{__gzip} \
	BZIP=%{__bzip2} \
	BZIP2=%{__bzip2} \
	DIFF=%{_bindir}/diff
%{__make}

%check
LANG=C %{__make} test
                                                                                                                 
%clean
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"
                                                                                                                 
%install
[ "$RPM_BUILD_ROOT" != "/" -a -n "$RPM_BUILD_ROOT" ] && %{__rm} -rf "$RPM_BUILD_ROOT"
%makeinstall

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress
%{_bindir}/find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec %{__rm} -v {} \;
%{_bindir}/find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    %{__sed} "s@^$RPM_BUILD_ROOT@@g" > %{__perl_package}-%{version}-filelist
if [ "$(%{__cat} %{__perl_package}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{__perl_package}-%{version}-filelist
%defattr(-,root,root)
%doc README* MANIFEST CHANGES

%changelog
* Fri Apr  1 2005 Paul Howarth <paul@city-fan.org> 1.3000-1
- Update to 1.3000
- Default to --with tzip instead of --without tzip
- Run tests in "C" locale to avoid breakage

* Wed Dec 22 2004 Paul Howarth <paul@city-fan.org> 1.2130-1
- Update to 1.2130

* Fri Sep 17 2004 Paul Howarth <paul@city-fan.org> 1.21-1
- Update to 1.21.1
- Hack Makefile.PL to prevent prompting to install Benchmark::Timer module
  if it's not present.

* Sat Jul 31 2004 Paul Howarth <paul@city-fan.org> 1.20-1
- Update to 1.20
- Moved `make test' into %%check section
- General tidy up of spec file

* Thu Apr 15 2004 Paul Howarth <paul@city-fan.org> 1.14-3
- Added explicit perl dependency to ensure that an RPM built on a
  system with an updated version of perl (and hence having files
  installed in a place that a non-updated system won't find them)
  will not install on the non-updated system. In such cases, just
  rebuild from the source RPM.
- Changed distribution-identifying macros for greater portability.

* Mon Feb 16 2004 Paul Howarth <paul@city-fan.org> 1.14-2
- Unified spec file for Red Hat and Fedora Core

* Tue Feb 10 2004 Paul Howarth <paul@city-fan.org> 1.14-1.fc1
- Update to 1.14
- Added optional tzip support (with "--with tzip" option to rpmbuild)

* Fri Dec 12 2003 Paul Howarth <paul@city-fan.org> 1.12-1.fc1
- More macros
- Added Fedora Core version to RPM release ID

* Tue Nov 25 2003 Paul Howarth <paul@city-fan.org> 1.12-1
- Update to 1.12

* Mon Nov 24 2003 Paul Howarth <paul@city-fan.org> 1.10-1
- Initial RPM build
